myGame.OutfitEvaluation.prototype = {
  preload: function() {
    // Preload images for this state
  },

  create: function() {
    // Kill the audio
    myGame.stopAudio();

    // Character style rating
    if (myGame.player.sexiness > 0 && (myGame.player.sexiness >= myGame.player.cuteness) && (myGame.player.sexiness > myGame.player.outlandishness)) {
      myGame.player.style = 'sexy';

    } else if (myGame.player.cuteness > 0 && (myGame.player.cuteness > myGame.player.sexiness) && (myGame.player.cuteness > myGame.player.outlandishness)) {
      myGame.player.style = 'cute';

    } else if (myGame.player.outlandishness > 0 && (myGame.player.outlandishness > myGame.player.sexiness) && (myGame.player.outlandishness > myGame.player.sexiness)) {
      myGame.player.style = 'outlandish';

    } else {
      myGame.player.style = 'bland';
    }

    this.EvalBG = this.add.sprite(0, 0, 'evalTile_' + myGame.player.style);

    // Show outfit
    this.characterGroup = game.add.group();

    this.baseCharacter = this.characterGroup.create( 0, 100, 'baseCharacter_content');
    this.baseCharacter.x = game.width/2;
    this.baseCharacter.anchor.setTo(0.5, 0);

    this.bottom = this.characterGroup.create(this.baseCharacter.x, this.baseCharacter.y + myGame.outfit.bottom.location*2, myGame.outfit.bottom.name);
    this.bottom.anchor.setTo(0.5, 0);

    this.top = this.characterGroup.create(this.baseCharacter.x, this.baseCharacter.y + myGame.outfit.top.location*2, myGame.outfit.top.name);
    this.top.anchor.setTo(0.5, 0);

    this.hair = this.characterGroup.create(this.baseCharacter.x, this.baseCharacter.y - myGame.outfit.hair.location*2, myGame.outfit.hair.name);
    this.hair.anchor.setTo(0.5, 0);

    this.characterGroup.forEach(function(item){
      item.anchor.setTo(0.5, 0);
    });

    switch (myGame.player.style) {
      case 'sexy':
        this.baseCharacter.loadTexture('baseCharacter_surprised');
        myGame.player.stress += myGame.player.sexiness/2;
        break;
      case 'outlandish':
        this.baseCharacter.loadTexture('baseCharacter_surprised');
        myGame.player.stress += myGame.player.outlandishness/4;
        break;
      case 'bland':
        this.baseCharacter.loadTexture('baseCharacter_sad');
        myGame.player.stress += 5;
        break;
      default:
        this.baseCharacter.loadTexture('baseCharacter_happy');
    }

    // Dialog
    this.dialogJSON = game.cache.getJSON('dialog_eval_' + myGame.player.style);
    this.dialog = this.dialogJSON.content;
    this.dialogLength = Object.keys(this.dialog).length - 1;
    this.completedDialog = 0;
    myGame.setupDialog(this.dialog, 'WalktoCommute');
    myGame.startDialogAtID(this);

    // Timer
    myGame.setupTimer(this);
    myGame.timerBase.tint = 0x999999;

    // Setup quit button
    myGame.setupQuitButton(this);
  },

  update: function() {
  }
}
